/*
 * @(#)LicenseClient.java  1.00
 *
 * Copyright WEBsina (c)2001  All Rights Reserved.
 *
 */
package com.websina.client;

import com.websina.license.LicenseManager;

/**
 * Test the LicenseManager and how to use it.
 * Simply put, in your program, you first get an instance of the LicenseManager,
 * and then call isValid(), if it returns true, your program starts, otherwise,
 * your program exits.
 * Note that, isValid() is validing the license file you generated and sent
 * to your customer, and this file has to be in your program's classpath. 
 *
 * @author Samuel Chen
 * @version $Revision: 1.4 $
 * created:  2-10-2001
 * @since 1.0 
 */
public class LicenseClient {
  
  public String test() throws Exception {
    // first get a instance of the LicenseManager.
    LicenseManager manager = LicenseManager.getInstance();

    // you then validate the license by calling isValid().
    // this checks that the license file itself is not tampered and it is not expired.
    boolean valid = manager.isValid();

    // validate each feature like the following:
    String feature_x = manager.getFeature("feature_x");  // get the feature from the license
    String _feature_x = null; // using some way.
    // valid = (feature != null && feature.equals(_feature_x)); // are they match?
	
    StringBuffer buf=new StringBuffer();
	
    if (valid) {
      buf.append("License is valid: "+valid);
      // also you can get the days left by calling daysLeft().
      buf.append('\n').append("Days left: "+manager.daysLeft());
    } else {
      buf.append("License is valid: "+valid);
      buf.append("\nlicense is invalid and so the program exits....");
      //exit the program
      return buf.toString();
    }
    //license is valid and so the program continues
    //..... 
    buf.append("\nlicense is valid and so the program continues....");
    return buf.toString();
  }


  public static void main(String[] args) throws Exception {
     System.out.println(new LicenseClient().test());
  }

}

